Detect And Respond Detection Categories
Returns an array of Detection Categories.
List of Requested Detection Categories
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/rule-engine/categories HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"description": "T1041 Exfiltration Over C2 Channel",
"name": "t1041",
"system": false,
"systemdefault": false
}
]
}Deletes all custom detection categories.
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/rule-engine/categories HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Fetches a specific detection category from the NAME supplied in the path.
The NAME of the detection category to be returned.
Requested Detection Category
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/rule-engine/category/{name} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"description": "T1041 Exfiltration Over C2 Channel",
"name": "t1041",
"system": false,
"systemdefault": false
}
}Create or update a detection category given the provided object.
The NAME of the detection category to be created or updeted.
Detection Category Create or Update Config
Detection category description
T1041 Exfiltration Over C2 ChannelRequested Detection Category
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/rule-engine/category/{name} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"description": "T1041 Exfiltration Over C2 Channel"
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"description": "T1041 Exfiltration Over C2 Channel",
"name": "t1041",
"system": false,
"systemdefault": false
}
}Deletes a detection model
The NAME of the detection category to be deleted.
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/rule-engine/category/{name} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated